[Pkg-mozext-commits] [sieve-extension] 01/01: Add presinst script to remove symlinked codemirror library (Closes: #739145).

Michael Fladischer fladi-guest at moszumanska.debian.org
Fri Feb 21 10:57:20 UTC 2014


This is an automated email from the git hooks/post-receive script.

fladi-guest pushed a commit to branch master
in repository sieve-extension.

commit c3ba4e4b521627e7b3b92b2b81bbee8c74f0dd3b
Author: Michael Fladischer <FladischerMichael at fladi.at>
Date:   Fri Feb 21 11:56:26 2014 +0100

    Add presinst script to remove symlinked codemirror library (Closes: #739145).
---
 debian/xul-ext-sieve.preinst | 44 ++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 44 insertions(+)

diff --git a/debian/xul-ext-sieve.preinst b/debian/xul-ext-sieve.preinst
new file mode 100644
index 0000000..c9e59e0
--- /dev/null
+++ b/debian/xul-ext-sieve.preinst
@@ -0,0 +1,44 @@
+#!/bin/sh
+# preinst script for xul-ext-sieve
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+#        * <new-preinst> `install'
+#        * <new-preinst> `install' <old-version>
+#        * <new-preinst> `upgrade' <old-version>
+#        * <old-preinst> `abort-upgrade' <new-version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+
+case "$1" in
+    upgrade)
+    # versions prior to 0.2.3d-1 shipped two symbolic links to integrate
+    # with the package codemirror library; this must be removed before
+    # installing newer versions that # ship it as a directory instead.
+    if [ -h /usr/share/xul-ext/sieve/chrome/chromeFiles/content/libs/CodeMirror/lib ] ; then
+       rm -f /usr/share/xul-ext/sieve/chrome/chromeFiles/content/libs/CodeMirror/lib
+    fi
+    if [ -h /usr/share/xul-ext/sieve/chrome/chromeFiles/content/libs/CodeMirror/theme ] ; then
+       rm -f /usr/share/xul-ext/sieve/chrome/chromeFiles/content/libs/CodeMirror/theme
+    fi
+    ;;
+
+    install|abort-upgrade)
+    ;;
+
+    *)
+        echo "preinst called with unknown argument \`$1'" >&2
+        exit 1
+    ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0

-- 
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/pkg-mozext/sieve-extension.git



More information about the Pkg-mozext-commits mailing list